Bug 1694857 (CVE-2019-9658)

Summary: CVE-2019-9658 checkstyle: Loads external DTDs by default
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dbhole, edewata, greg.hellings, java-sig-commits, mizdebsk, nsantos, rob.myers, stewardship-sig
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:52:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1694858    
Bug Blocks:    

Comment 1 Pedro Sampaio 2019-04-01 21:13:31 UTC
Created checkstyle tracking bugs for this issue:

Affects: fedora-all [bug 1694858]

Comment 2 Fedora Update System 2019-04-11 18:43:17 UTC
checkstyle-8.0-4.1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2019-04-12 01:16:19 UTC
checkstyle-8.0-4.1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-10 10:52:48 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.